Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: IPython
Upstream-Contact: ipython-dev@scipy.org
Source: http://ipython.org/

Files: *
Copyright: 2005,2008,2009,2010,2011,2012,2013 The IPython Development Team
 2001-2007, Fernando Perez <fperez@colorado.edu>
 2001, Janko Hauser <jhauser@zscout.de>
 2001, Nathaniel Gray <n8gray@caltech.edu>
 2002-2005, Alexander Schmolck
 2004, W.J. van der Laan <gnufnork@hetdigitalegat.nl>
 2001, Python Software Foundation, www.python.org
 2009, Gael Varoquaux (gael.varoquaux@normalesup.org)
 2005, Jörgen Stenarson <jorgen.stenarson@bostream.nu>
License: BSD-3-clause

Files: ./IPython/external/ssh/forward.py
Copyright: 2003-2007, Robey Pointer <robeypointer@gmail.com>
 2010, The IPython Development Team
License: LGPL-2.1+

Files: ./IPython/external/pexpect/_pexpect.py
Copyright: 2008, Noah Spurrier
License: Expat

Files: ./IPython/external/decorator/_decorator.py
Copyright: 2005, Michele Simionato
License: BSD-2-clause

Files: ./IPython/external/simplegeneric/_simplegeneric.py
Copyright: 2010, Phillip J. Eby
License: PSF

Files: ./IPython/external/decorators/*
Copyright: 2005-2009, NumPy Developers
License: BSD-3-clause

Files: ./IPython/utils/daemonize.py
Copyright: Twisted Matrix Laboratories
License: Expat

Files: ./IPython/core/debugger.py
Copyright: 2001, Python Software Foundation, www.python.org
 2005-2006, Fernando Perez. <fperez@colorado.edu>
License: PSF

Files: ./IPython/html/static/components/jquery/*
Copyright: 2005, 2013 jQuery Foundation, Inc. and other contributors
 2005-2008, John Resig
 2005-2008, Brandon Aaron
 2005-2008, Jörn Zaefferer
 2011, The Dojo Foundation
License: Expat

Files: ./IPython/html/static/components/jquery-ui/*
Copyright: 2013 jQuery Foundation and other contributors
 Paul Bakaus (ui.jquery.com)
 Brandon Aaron
 David Bolter
 Rich Caloggero
 Chi Cheng (cloudream@gmail.com)
 Colin Clark (http://colin.atrc.utoronto.ca/)
 Michelle D'Souza
 Aaron Eisenberger (aaronchi@gmail.com)
 Ariel Flesler
 Bohdan Ganicky
 Scott González
 Marc Grabanski (m@marcgrabanski.com)
 Klaus Hartl (stilbuero.de)
 Scott Jehl
 Cody Lindley
 Eduardo Lundgren (eduardolundgren@gmail.com)
 Todd Parker
 John Resig
 Patty Toland
 Ca-Phun Ung (yelotofu.com)
 Keith Wood (kbwood@virginbroadband.com.au)
 Maggie Costello Wachs
 Richard D. Worth (rdworth.org)
 Jörn Zaefferer (bassistance.de)
License: GPL-2 or Expat

Files: ./IPython/html/static/components/marked/*
Copyright: 2011-2012, Christopher Jeffrey (https://github.com/chjj/)
License: Expat

Files: ./IPython/html/static/components/font-awesome/font/*
Copyright: (c) 2012-2013, Dave Gandy <drgandy@alum.mit.edu>
License: OFL-1.1
Comment:
 Upstream doesn't specify which version of OFL instead simply links to
 OFL page. Hence latest version of OFL is considered.

Files: ./IPython/html/static/components/font-awesome/css/*
 ./IPython/html/static/components/font-awesome/less/*
 ./IPython/html/static/components/font-awesome/scss/*
Copyright: (c) 2012-2013, Dave Gandy <drgandy@alum.mit.edu>
License: Expat

Files: ./IPython/html/static/components/underscore/*
Copyright: 2009-2013, Jeremy Ashkenas <jeremy@documentcloud.org>
License: Expat

Files: ./IPython/html/static/components/backbone/*
Copyright: 2009-2014, Jeremy Ashkenas <jeremy@documentcloud.org>
License: Expat

Files: ./IPython/html/static/components/requirejs/*
Copyright: 2010-2012, The Dojo Foundation
License: BSD-3-clause

Files: ./IPython/html/static/components/highlight.js/*
Copyright: 2006, Ivan Sagalaev
License: BSD-3-clause

Files: ./IPython/html/static/components/bootstrap/*
Copyright: Copyright 2012 Twitter, Inc
License: Apache-2.0

Files: ./IPython/html/static/components/bootstrap-tour/*
Copyright: 2012-2013 Ulrich Sossou
License: Apache-2.0

Files: ./IPython/html/static/components/google-caja/*
Copyright: 2006 Google Inc.
License: Apache-2.0

Files: ./IPython/html/static/components/codemirror/*
Copyright: 2013 by Marijn Haverbeke <marijnh@gmail.com>
License: Expat

Files: ./IPython/html/static/components/codemirror/addon/merge/dep/diff_match_patch.js
Copyright: Copyright 2006 Google Inc.
License: Apache-2.0

Files: ./IPython/html/static/components/codemirror/mode/livescript/*
Copyright: 2013 Kenneth Bentley
License: Expat

Files: ./IPython/html/static/components/codemirror/mode/xquery/*
Copyright: 2011 by MarkLogic Corporation
License: Expat

Files: ./IPython/html/static/components/codemirror/mode/r/*
Copyright: 2011, Ubalo, Inc.
License: Expat

Files: ./IPython/html/static/components/codemirror/mode/pascal/*
Copyright: 2011 souceLair <support@sourcelair.com>
License: Expat

Files: ./IPython/html/static/components/codemirror/mode/sieve/*
Copyright: 2012 Thomas Schmid <schmid-thomas@gmx.net>
License: Expat

Files: ./IPython/html/static/components/codemirror/mode/coffeescript/*
Copyright: 2011 Jeff Pickhardt
License: Expat

Files: ./IPython/html/static/components/codemirror/mode/perl/*
Copyright: 2011 by Sabaca <mail@sabaca.com>
License: Expat

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.

License: BSD-2-clause
 Copyright © 2006-2009 Steven J. Bethard <steven.bethard@gmail.com>.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
  * Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-3-clause
 All rights reserved.
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 Redistributions of source code must retain the above copyright notice,
 this list of conditions and the following disclaimer.
 .
 Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
 .
 Neither the name of the IPython Development Team nor the names of its
 contributors may be used to endorse or promote products derived from this
 software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: PSF
 PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2
 --------------------------------------------
 .
 1. This LICENSE AGREEMENT is between the Python Software Foundation
 ("PSF"), and the Individual or Organization ("Licensee") accessing and
 otherwise using this software ("Python") in source or binary form and
 its associated documentation.
 .
 2. Subject to the terms and conditions of this License Agreement, PSF
 hereby grants Licensee a nonexclusive, royalty-free, world-wide
 license to reproduce, analyze, test, perform and/or display publicly,
 prepare derivative works, distribute, and otherwise use Python
 alone or in any derivative version, provided, however, that PSF's
 License Agreement and PSF's notice of copyright, i.e., "Copyright (c)
 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation; All Rights
 Reserved" are retained in Python alone or in any derivative version
 prepared by Licensee.
 .
 3. In the event Licensee prepares a derivative work that is based on
 or incorporates Python or any part thereof, and wants to make
 the derivative work available to others as provided herein, then
 Licensee hereby agrees to include in any such work a brief summary of
 the changes made to Python.
 .
 4. PSF is making Python available to Licensee on an "AS IS"
 basis.  PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR
 IMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND
 DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS
 FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON WILL NOT
 INFRINGE ANY THIRD PARTY RIGHTS.
 .
 5. PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON
 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS
 A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON,
 OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.
 .
 6. This License Agreement will automatically terminate upon a material
 breach of its terms and conditions.
 .
 7. Nothing in this License Agreement shall be deemed to create any
 relationship of agency, partnership, or joint venture between PSF and
 Licensee.  This License Agreement does not grant permission to use PSF
 trademarks or trade name in a trademark sense to endorse or promote
 products or services of Licensee, or any third party.
 .
 8. By copying, installing or otherwise using Python, Licensee
 agrees to be bound by the terms and conditions of this License
 Agreement.

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation,
 version 2.1 of the License.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 You should have received a copy of the GNU Lesser General Public
 License along with this library (see the the license.txt file); if not, write to the
 Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 Boston, MA  02110-1301 USA
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 `/usr/share/common-licenses/LGPL-2.1'.

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License"); you may not
 use this file except in compliance with the License. You may obtain a copy
 of the License at
 .
     http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 License for the specific language governing permissions and limitations
 under the License.
 .
 On Debian systems, the full text of the Apache License, Version 2.0
 can be found in the file
 `/usr/share/common-licenses/Apache-2.0'.

License: GPL-2
 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2 of the License.
 .
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the GNU General Public License for more
 details.
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 `/usr/share/common-licenses/GPL-2'.

License: OFL-1.1
 PREAMBLE
  The goals of the Open Font License (OFL) are to stimulate worldwide
 development of collaborative font projects, to support the font creation
 efforts of academic and linguistic communities, and to provide a free and
 open framework in which fonts may be shared and improved in partnership
 with others.
 .
 The OFL allows the licensed fonts to be used, studied, modified and
 redistributed freely as long as they are not sold by themselves. The
 fonts, including any derivative works, can be bundled, embedded,
 redistributed and/or sold with any software provided that any reserved
 names are not used by derivative works. The fonts and derivatives,
 however, cannot be released under any other type of license. The
 requirement for fonts to remain under this license does not apply
 to any document created using the fonts or their derivatives.
 .
 DEFINITIONS
 "Font Software" refers to the set of files released by the Copyright
 Holder(s) under this license and clearly marked as such. This may
 include source files, build scripts and documentation.
 .
 "Reserved Font Name" refers to any names specified as such after the
 copyright statement(s).
 .
 "Original Version" refers to the collection of Font Software components as
 distributed by the Copyright Holder(s).
 .
 "Modified Version" refers to any derivative made by adding to, deleting,
 or substituting -- in part or in whole -- any of the components of the
 Original Version, by changing formats or by porting the Font Software to a
 new environment.
 .
 "Author" refers to any designer, engineer, programmer, technical
 writer or other person who contributed to the Font Software.
 .
 PERMISSION & CONDITIONS
  Permission is hereby granted, free of charge, to any person obtaining
 a copy of the Font Software, to use, study, copy, merge, embed, modify,
 redistribute, and sell modified and unmodified copies of the Font
 Software, subject to the following conditions:
 .
 1) Neither the Font Software nor any of its individual components,
    in Original or Modified Versions, may be sold by itself.
 .
 2) Original or Modified Versions of the Font Software may be bundled,
    redistributed and/or sold with any software, provided that each copy
    contains the above copyright notice and this license. These can be
    included either as stand-alone text files, human-readable headers or
    in the appropriate machine-readable metadata fields within text or
    binary files as long as those fields can be easily viewed by the user.
 .
 3) No Modified Version of the Font Software may use the Reserved Font
    Name(s) unless explicit written permission is granted by the corresponding
    Copyright Holder. This restriction only applies to the primary font
    name as presented to the users.
 .
 4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font
    Software shall not be used to promote, endorse or advertise any
    Modified Version, except to acknowledge the contribution(s) of the
    Copyright Holder(s) and the Author(s) or with their explicit written
    permission.
 .
 5) The Font Software, modified or unmodified, in part or in whole,
    must be distributed entirely under this license, and must not be
    distributed under any other license. The requirement for fonts to
    remain under this license does not apply to any document created
    using the Font Software.
 .
 TERMINATION
  This license becomes null and void if any of the above conditions are
 not met.
 .
 DISCLAIMER
  THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
 COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
 DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
 OTHER DEALINGS IN THE FONT SOFTWARE.
